summaryrefslogtreecommitdiff
path: root/source4
diff options
context:
space:
mode:
Diffstat (limited to 'source4')
-rwxr-xr-xsource4/script/tests/test_smbclient.sh8
1 files changed, 7 insertions, 1 deletions
diff --git a/source4/script/tests/test_smbclient.sh b/source4/script/tests/test_smbclient.sh
index b2d57135f7..600e0e4a1b 100755
--- a/source4/script/tests/test_smbclient.sh
+++ b/source4/script/tests/test_smbclient.sh
@@ -16,7 +16,9 @@ shift 5
failed=0
runcmd() {
- testit "$1" bin/smbclient //$SERVER/tmp -W "$DOMAIN "-U"$USERNAME"%"$PASSWORD"
+ name="$1"
+ shift
+ testit "$name" bin/smbclient //$SERVER/tmp -W "$DOMAIN "-U"$USERNAME"%"$PASSWORD" $@
}
incdir=`dirname $0`
@@ -79,6 +81,10 @@ testit "Comparing files" diff tmpfilex tmpfile || failed=`expr $failed + 1`
# remove that file
echo rm tmpfilex | runcmd "Removing file" || failed=`expr $failed + 1`
+# do some simple operations using old protocol versions
+echo ls | runcmd "List directory with LANMAN1" -m LANMAN1 || failed=`expr $failed + 1`
+echo ls | runcmd "List directory with LANMAN2" -m LANMAN2 || failed=`expr $failed + 1`
+
rm -f tmpfile tmpfile-old tmpfilex
testok $0 $failed